
--[[

Puzzlet

font.lua

(c) bob fossil 2015-2016

--]]


require "constants"

MAX_FONT_CHARS = 96


font_graphic = nil
font_graphic_quads = {}

function init_font()

	font_graphic = love.graphics.newImage("font.png")
	local x = 0
	local y = 0
	local width = font_graphic:getWidth()
	local height = font_graphic:getHeight()

	for add = 1, MAX_FONT_CHARS do
		font_graphic_quads[add] = love.graphics.newQuad(x, 0, FONT_CHARACTER_WIDTH, FONT_CHARACTER_HEIGHT, width, height)
		x = x + FONT_CHARACTER_WIDTH
	end

end

-- Set x to -1 to centre text.
function draw_text(x, y, text, red, green, blue)

	local text_length = #text
	
	local centre_x = x
	if x==-1 then
		centre_x = (SCREEN_WIDTH - (text_length * FONT_CHARACTER_WIDTH)) / 2
	end
		
	-- Set our text colour.
	love.graphics.setColor(red, green, blue, 255)
	for draw = 1, text_length do
		-- Convert character to quad index.
		-- Lua quads table starts from 1.
		local character = string.byte(text, draw) - 31
		love.graphics.draw(font_graphic, font_graphic_quads[character], centre_x, y)
		centre_x = centre_x + FONT_CHARACTER_WIDTH
	end

	return centre_x
end
