
--[[

Puzzlet

graphics_constants.lua

(c) bob fossil 2015-2016

--]]

-- Edge tiles.
GRAPHIC_WALL_OFFSET = 0

-- a - p
GRAPHIC_WALL_1 = 1
GRAPHIC_WALL_2 = 2
GRAPHIC_WALL_3 = 3
GRAPHIC_WALL_4 = 4
GRAPHIC_WALL_5 = 5
GRAPHIC_WALL_6 = 6
GRAPHIC_WALL_7 = 7
GRAPHIC_WALL_8 = 8
GRAPHIC_WALL_9 = 9
GRAPHIC_WALL_10 = 10
GRAPHIC_WALL_11 = 11
GRAPHIC_WALL_12 = 12
GRAPHIC_WALL_13 = 13
GRAPHIC_WALL_14 = 14
GRAPHIC_WALL_15 = 15
GRAPHIC_WALL_16 = 16
-- q - s
GRAPHIC_WALL_DESTRUCTABLE_1 = 17
GRAPHIC_WALL_DESTRUCTABLE_2 = 18
GRAPHIC_WALL_DESTRUCTABLE_3 = 19
-- t
GRAPHIC_WALL_MOVEABLE = 20
-- u
GRAPHIC_WALL_FORCEFIELD = 21

MAX_GRAPHIC_WALL = GRAPHIC_WALL_FORCEFIELD

-- Door tiles.
GRAPHIC_DOOR_OFFSET = GRAPHIC_WALL_OFFSET + TILE_HEIGHT

GRAPHIC_DOOR_1 = 1
GRAPHIC_DOOR_2 = 2
GRAPHIC_DOOR_3 = 3
GRAPHIC_DOOR_4 = 4
GRAPHIC_DOOR_5 = 5
GRAPHIC_DOOR_6 = 6
GRAPHIC_DOOR_7 = 7
GRAPHIC_DOOR_8 = 8
GRAPHIC_DOOR_9 = 9
GRAPHIC_DOOR_10 = 10
GRAPHIC_DOOR_11 = 11
GRAPHIC_DOOR_12 = 12
GRAPHIC_DOOR_13 = 13
GRAPHIC_DOOR_14 = 14
GRAPHIC_DOOR_15 = 15

MAX_GRAPHIC_DOOR = GRAPHIC_DOOR_15

-- Exit tiles.
GRAPHIC_EXIT_OFFSET = GRAPHIC_DOOR_OFFSET + TILE_HEIGHT

GRAPHIC_EXIT = 1
GRAPHIC_EXIT_1 = 2
GRAPHIC_EXIT_2 = 3
GRAPHIC_EXIT_3 = 4
GRAPHIC_EXIT_4 = 5
GRAPHIC_EXIT_5 = 6
GRAPHIC_EXIT_6 = 7
GRAPHIC_EXIT_7 = 8
GRAPHIC_EXIT_8 = 9
GRAPHIC_EXIT_APPEAR_1 = 10
GRAPHIC_EXIT_APPEAR_2 = 11
GRAPHIC_EXIT_APPEAR_3 = 12
GRAPHIC_EXIT_APPEAR_4 = 13

MAX_GRAPHIC_EXIT = GRAPHIC_EXIT_APPEAR_4

-- Special tiles.
GRAPHIC_SPECIAL_OFFSET = GRAPHIC_EXIT_OFFSET + TILE_HEIGHT

GRAPHIC_SPECIAL_GROUND = 1
GRAPHIC_SPECIAL_AREA_1 = 2
GRAPHIC_SPECIAL_AREA_2 = 3
GRAPHIC_SPECIAL_AREA_3 = 4
GRAPHIC_SPECIAL_AREA_4 = 5
GRAPHIC_SPECIAL_AREA_5 = 6
GRAPHIC_SPECIAL_AREA_6 = 7
GRAPHIC_SPECIAL_AREA_7 = 8
GRAPHIC_SPECIAL_AREA_8 = 9
GRAPHIC_SPECIAL_KEY = 10
GRAPHIC_SPECIAL_POTION = 11
GRAPHIC_SPECIAL_BONES = 12
GRAPHIC_SPECIAL_GENERATOR_DAMAGED = 13
GRAPHIC_SPECIAL_GENERATOR_OFF = 14
GRAPHIC_SPECIAL_GENERATOR_ON = 15
GRAPHIC_SPECIAL_GROUND_FORCEFIELD = 16
GRAPHIC_SPECIAL_GROUND_TRAP = 17
GRAPHIC_SPECIAL_FOOD_ALE = 18
GRAPHIC_SPECIAL_FOOD_MEAT = 19

-- Pseudo constants for the trap system.
GRAPHIC_SPECIAL_POTION_KILL_ALL = 10001
GRAPHIC_SPECIAL_POTION_KILL_DEATH = 10002
GRAPHIC_SPECIAL_POTION_KILL_ENEMIES = 10003
--

MAX_GRAPHIC_SPECIAL = GRAPHIC_SPECIAL_FOOD_MEAT

--
-- Player sprites.
--

-- Warrior sprites.
GRAPHIC_WARRIOR_UP_1 = 1
GRAPHIC_WARRIOR_UP_RIGHT_1 = 2
GRAPHIC_WARRIOR_RIGHT_1 = 3
GRAPHIC_WARRIOR_DOWN_RIGHT_1 = 4
GRAPHIC_WARRIOR_DOWN_1 = 5
GRAPHIC_WARRIOR_DOWN_LEFT_1 = 6
GRAPHIC_WARRIOR_LEFT_1 = 7
GRAPHIC_WARRIOR_UP_LEFT_1 = 8
GRAPHIC_WARRIOR_UP_2 = 9
GRAPHIC_WARRIOR_UP_RIGHT_2 = 10
GRAPHIC_WARRIOR_RIGHT_2 = 11
GRAPHIC_WARRIOR_DOWN_RIGHT_2 = 12
GRAPHIC_WARRIOR_DOWN_2 = 13
GRAPHIC_WARRIOR_DOWN_LEFT_2 = 14
GRAPHIC_WARRIOR_LEFT_2 = 15
GRAPHIC_WARRIOR_UP_LEFT_2 = 16
GRAPHIC_WARRIOR_UP_3 = 17
GRAPHIC_WARRIOR_UP_RIGHT_3 = 18
GRAPHIC_WARRIOR_RIGHT_3 = 19
GRAPHIC_WARRIOR_DOWN_RIGHT_3 = 20
GRAPHIC_WARRIOR_DOWN_3 = 21
GRAPHIC_WARRIOR_DOWN_LEFT_3 = 22
GRAPHIC_WARRIOR_LEFT_3 = 23
GRAPHIC_WARRIOR_UP_LEFT_3 = 24
GRAPHIC_WARRIOR_WEAPON_UP = 25
GRAPHIC_WARRIOR_WEAPON_UP_RIGHT_1 = 26
GRAPHIC_WARRIOR_WEAPON_RIGHT_1 = 27
GRAPHIC_WARRIOR_WEAPON_DOWN_RIGHT_1 = 28
GRAPHIC_WARRIOR_WEAPON_DOWN_1 = 29
GRAPHIC_WARRIOR_WEAPON_DOWN_LEFT_1 = 30
GRAPHIC_WARRIOR_WEAPON_LEFT_1 = 31
GRAPHIC_WARRIOR_WEAPON_UP_LEFT_1 = 32
GRAPHIC_WARRIOR_DISAPPEAR_1 = 33
GRAPHIC_WARRIOR_DISAPPEAR_2 = 34
GRAPHIC_WARRIOR_DISAPPEAR_3 = 35
GRAPHIC_WARRIOR_DISAPPEAR_4 = 36
GRAPHIC_WARRIOR_DISAPPEAR_5 = 37

-- Valkyrie sprites.
GRAPHIC_VALKYRIE_START = GRAPHIC_WARRIOR_DISAPPEAR_5 

GRAPHIC_VALKYRIE_UP_1 = GRAPHIC_VALKYRIE_START + 1
GRAPHIC_VALKYRIE_UP_RIGHT_1 = GRAPHIC_VALKYRIE_START +  2
GRAPHIC_VALKYRIE_RIGHT_1 = GRAPHIC_VALKYRIE_START +  3
GRAPHIC_VALKYRIE_DOWN_RIGHT_1 = GRAPHIC_VALKYRIE_START +  4
GRAPHIC_VALKYRIE_DOWN_1 = GRAPHIC_VALKYRIE_START +  5
GRAPHIC_VALKYRIE_DOWN_LEFT_1 = GRAPHIC_VALKYRIE_START +  6
GRAPHIC_VALKYRIE_LEFT_1 = GRAPHIC_VALKYRIE_START +  7
GRAPHIC_VALKYRIE_UP_LEFT_1 = GRAPHIC_VALKYRIE_START +  8
GRAPHIC_VALKYRIE_UP_2 = GRAPHIC_VALKYRIE_START +  9
GRAPHIC_VALKYRIE_UP_RIGHT_2 = GRAPHIC_VALKYRIE_START +  10
GRAPHIC_VALKYRIE_RIGHT_2 = GRAPHIC_VALKYRIE_START +  11
GRAPHIC_VALKYRIE_DOWN_RIGHT_2 = GRAPHIC_VALKYRIE_START +  12
GRAPHIC_VALKYRIE_DOWN_2 = GRAPHIC_VALKYRIE_START +  13
GRAPHIC_VALKYRIE_DOWN_LEFT_2 = GRAPHIC_VALKYRIE_START +  14
GRAPHIC_VALKYRIE_LEFT_2 = GRAPHIC_VALKYRIE_START +  15
GRAPHIC_VALKYRIE_UP_LEFT_2 = GRAPHIC_VALKYRIE_START +  16
GRAPHIC_VALKYRIE_UP_3 = GRAPHIC_VALKYRIE_START +  17
GRAPHIC_VALKYRIE_UP_RIGHT_3 = GRAPHIC_VALKYRIE_START +  18
GRAPHIC_VALKYRIE_RIGHT_3 = GRAPHIC_VALKYRIE_START +  19
GRAPHIC_VALKYRIE_DOWN_RIGHT_3 = GRAPHIC_VALKYRIE_START +  20
GRAPHIC_VALKYRIE_DOWN_3 = GRAPHIC_VALKYRIE_START +  21
GRAPHIC_VALKYRIE_DOWN_LEFT_3 = GRAPHIC_VALKYRIE_START +  22
GRAPHIC_VALKYRIE_LEFT_3 = GRAPHIC_VALKYRIE_START +  23
GRAPHIC_VALKYRIE_UP_LEFT_3 = GRAPHIC_VALKYRIE_START +  24
GRAPHIC_VALKYRIE_WEAPON_UP = GRAPHIC_VALKYRIE_START +  25
GRAPHIC_VALKYRIE_WEAPON_UP_RIGHT_1 = GRAPHIC_VALKYRIE_START +  26
GRAPHIC_VALKYRIE_WEAPON_RIGHT_1 = GRAPHIC_VALKYRIE_START +  27
GRAPHIC_VALKYRIE_WEAPON_DOWN_RIGHT_1 = GRAPHIC_VALKYRIE_START +  28
GRAPHIC_VALKYRIE_WEAPON_DOWN_1 = GRAPHIC_VALKYRIE_START +  29
GRAPHIC_VALKYRIE_WEAPON_DOWN_LEFT_1 = GRAPHIC_VALKYRIE_START +  30
GRAPHIC_VALKYRIE_WEAPON_LEFT_1 = GRAPHIC_VALKYRIE_START +  31
GRAPHIC_VALKYRIE_WEAPON_UP_LEFT_1 = GRAPHIC_VALKYRIE_START +  32
GRAPHIC_VALKYRIE_DISAPPEAR_1 = GRAPHIC_VALKYRIE_START +  33
GRAPHIC_VALKYRIE_DISAPPEAR_2 = GRAPHIC_VALKYRIE_START +  34
GRAPHIC_VALKYRIE_DISAPPEAR_3 = GRAPHIC_VALKYRIE_START +  35
GRAPHIC_VALKYRIE_DISAPPEAR_4 = GRAPHIC_VALKYRIE_START +  36
GRAPHIC_VALKYRIE_DISAPPEAR_5 = GRAPHIC_VALKYRIE_START +  37

-- Wizard sprites.
GRAPHIC_WIZARD_START = GRAPHIC_VALKYRIE_DISAPPEAR_5

GRAPHIC_WIZARD_UP_1 = GRAPHIC_WIZARD_START +  1
GRAPHIC_WIZARD_UP_RIGHT_1 = GRAPHIC_WIZARD_START +  2
GRAPHIC_WIZARD_RIGHT_1 = GRAPHIC_WIZARD_START +  3
GRAPHIC_WIZARD_DOWN_RIGHT_1 = GRAPHIC_WIZARD_START +  4
GRAPHIC_WIZARD_DOWN_1 = GRAPHIC_WIZARD_START +  5
GRAPHIC_WIZARD_DOWN_LEFT_1 = GRAPHIC_WIZARD_START +  6
GRAPHIC_WIZARD_LEFT_1 = GRAPHIC_WIZARD_START +  7
GRAPHIC_WIZARD_UP_LEFT_1 = GRAPHIC_WIZARD_START +  8
GRAPHIC_WIZARD_UP_2 = GRAPHIC_WIZARD_START +  9
GRAPHIC_WIZARD_UP_RIGHT_2 = GRAPHIC_WIZARD_START +  10
GRAPHIC_WIZARD_RIGHT_2 = GRAPHIC_WIZARD_START +  11
GRAPHIC_WIZARD_DOWN_RIGHT_2 = GRAPHIC_WIZARD_START +  12
GRAPHIC_WIZARD_DOWN_2 = GRAPHIC_WIZARD_START +  13
GRAPHIC_WIZARD_DOWN_LEFT_2 = GRAPHIC_WIZARD_START +  14
GRAPHIC_WIZARD_LEFT_2 = GRAPHIC_WIZARD_START +  15
GRAPHIC_WIZARD_UP_LEFT_2 = GRAPHIC_WIZARD_START +  16
GRAPHIC_WIZARD_UP_3 = GRAPHIC_WIZARD_START +  17
GRAPHIC_WIZARD_UP_RIGHT_3 = GRAPHIC_WIZARD_START +  18
GRAPHIC_WIZARD_RIGHT_3 = GRAPHIC_WIZARD_START +  19
GRAPHIC_WIZARD_DOWN_RIGHT_3 = GRAPHIC_WIZARD_START +  20
GRAPHIC_WIZARD_DOWN_3 = GRAPHIC_WIZARD_START +  21
GRAPHIC_WIZARD_DOWN_LEFT_3 = GRAPHIC_WIZARD_START +  22
GRAPHIC_WIZARD_LEFT_3 = GRAPHIC_WIZARD_START +  23
GRAPHIC_WIZARD_UP_LEFT_3 = GRAPHIC_WIZARD_START +  24
GRAPHIC_WIZARD_WEAPON_UP = GRAPHIC_WIZARD_START +  25
GRAPHIC_WIZARD_WEAPON_UP_RIGHT_1 = GRAPHIC_WIZARD_START +  26
GRAPHIC_WIZARD_WEAPON_RIGHT_1 = GRAPHIC_WIZARD_START +  27
GRAPHIC_WIZARD_WEAPON_DOWN_RIGHT_1 = GRAPHIC_WIZARD_START +  28
GRAPHIC_WIZARD_WEAPON_DOWN_1 = GRAPHIC_WIZARD_START +  29
GRAPHIC_WIZARD_WEAPON_DOWN_LEFT_1 = GRAPHIC_WIZARD_START +  30
GRAPHIC_WIZARD_WEAPON_LEFT_1 = GRAPHIC_WIZARD_START +  31
GRAPHIC_WIZARD_WEAPON_UP_LEFT_1 = GRAPHIC_WIZARD_START +  32
GRAPHIC_WIZARD_DISAPPEAR_1 = GRAPHIC_WIZARD_START +  33
GRAPHIC_WIZARD_DISAPPEAR_2 = GRAPHIC_WIZARD_START +  34
GRAPHIC_WIZARD_DISAPPEAR_3 = GRAPHIC_WIZARD_START +  35
GRAPHIC_WIZARD_DISAPPEAR_4 = GRAPHIC_WIZARD_START +  36
GRAPHIC_WIZARD_DISAPPEAR_5 = GRAPHIC_WIZARD_START +  37

-- Elf sprites.
GRAPHIC_ELF_START = GRAPHIC_WIZARD_DISAPPEAR_5

GRAPHIC_ELF_UP_1 = GRAPHIC_ELF_START +  1
GRAPHIC_ELF_UP_RIGHT_1 = GRAPHIC_ELF_START +  2
GRAPHIC_ELF_RIGHT_1 = GRAPHIC_ELF_START +  3
GRAPHIC_ELF_DOWN_RIGHT_1 = GRAPHIC_ELF_START +  4
GRAPHIC_ELF_DOWN_1 = GRAPHIC_ELF_START +  5
GRAPHIC_ELF_DOWN_LEFT_1 = GRAPHIC_ELF_START +  6
GRAPHIC_ELF_LEFT_1 = GRAPHIC_ELF_START +  7
GRAPHIC_ELF_UP_LEFT_1 = GRAPHIC_ELF_START +  8
GRAPHIC_ELF_UP_2 = GRAPHIC_ELF_START +  9
GRAPHIC_ELF_UP_RIGHT_2 = GRAPHIC_ELF_START +  10
GRAPHIC_ELF_RIGHT_2 = GRAPHIC_ELF_START +  11
GRAPHIC_ELF_DOWN_RIGHT_2 = GRAPHIC_ELF_START +  12
GRAPHIC_ELF_DOWN_2 = GRAPHIC_ELF_START +  13
GRAPHIC_ELF_DOWN_LEFT_2 = GRAPHIC_ELF_START +  14
GRAPHIC_ELF_LEFT_2 = GRAPHIC_ELF_START +  15
GRAPHIC_ELF_UP_LEFT_2 = GRAPHIC_ELF_START +  16
GRAPHIC_ELF_UP_3 = GRAPHIC_ELF_START +  17
GRAPHIC_ELF_UP_RIGHT_3 = GRAPHIC_ELF_START +  18
GRAPHIC_ELF_RIGHT_3 = GRAPHIC_ELF_START +  19
GRAPHIC_ELF_DOWN_RIGHT_3 = GRAPHIC_ELF_START +  20
GRAPHIC_ELF_DOWN_3 = GRAPHIC_ELF_START +  21
GRAPHIC_ELF_DOWN_LEFT_3 = GRAPHIC_ELF_START +  22
GRAPHIC_ELF_LEFT_3 = GRAPHIC_ELF_START +  23
GRAPHIC_ELF_UP_LEFT_3 = GRAPHIC_ELF_START +  24
GRAPHIC_ELF_WEAPON_UP = GRAPHIC_ELF_START +  25
GRAPHIC_ELF_WEAPON_UP_RIGHT_1 = GRAPHIC_ELF_START +  26
GRAPHIC_ELF_WEAPON_RIGHT_1 = GRAPHIC_ELF_START +  27
GRAPHIC_ELF_WEAPON_DOWN_RIGHT_1 = GRAPHIC_ELF_START +  28
GRAPHIC_ELF_WEAPON_DOWN_1 = GRAPHIC_ELF_START +  29
GRAPHIC_ELF_WEAPON_DOWN_LEFT_1 = GRAPHIC_ELF_START +  30
GRAPHIC_ELF_WEAPON_LEFT_1 = GRAPHIC_ELF_START +  31
GRAPHIC_ELF_WEAPON_UP_LEFT_1 = GRAPHIC_ELF_START +  32
GRAPHIC_ELF_DISAPPEAR_1 = GRAPHIC_ELF_START +  33
GRAPHIC_ELF_DISAPPEAR_2 = GRAPHIC_ELF_START +  34
GRAPHIC_ELF_DISAPPEAR_3 = GRAPHIC_ELF_START +  35
GRAPHIC_ELF_DISAPPEAR_4 = GRAPHIC_ELF_START +  36
GRAPHIC_ELF_DISAPPEAR_5 = GRAPHIC_ELF_START +  37

MAX_PLAYER_GRAPHIC = GRAPHIC_ELF_DISAPPEAR_5

--
-- Enemy sprites.
--

-- Death sprites.
GRAPHIC_DEATH_UP_1 = 1
GRAPHIC_DEATH_UP_RIGHT_1 = 2
GRAPHIC_DEATH_RIGHT_1 = 3
GRAPHIC_DEATH_DOWN_RIGHT_1 = 4
GRAPHIC_DEATH_DOWN_1 = 5
GRAPHIC_DEATH_DOWN_LEFT_1 = 6
GRAPHIC_DEATH_LEFT_1 = 7
GRAPHIC_DEATH_UP_LEFT_1 = 8
GRAPHIC_DEATH_UP_2 = 9
GRAPHIC_DEATH_UP_RIGHT_2 = 10
GRAPHIC_DEATH_RIGHT_2 = 11
GRAPHIC_DEATH_DOWN_RIGHT_2 = 12
GRAPHIC_DEATH_DOWN_2 = 13
GRAPHIC_DEATH_DOWN_LEFT_2 = 14
GRAPHIC_DEATH_LEFT_2 = 15
GRAPHIC_DEATH_UP_LEFT_2 = 16
GRAPHIC_DEATH_UP_3 = 17
GRAPHIC_DEATH_UP_RIGHT_3 = 18
GRAPHIC_DEATH_RIGHT_3 = 19
GRAPHIC_DEATH_DOWN_RIGHT_3 = 20
GRAPHIC_DEATH_DOWN_3 = 21
GRAPHIC_DEATH_DOWN_LEFT_3 = 22
GRAPHIC_DEATH_LEFT_3 = 23
GRAPHIC_DEATH_UP_LEFT_3 = 24

-- Ghost sprites.
GRAPHIC_GHOST_START = GRAPHIC_DEATH_UP_LEFT_3

GRAPHIC_GHOST_UP_1 = GRAPHIC_GHOST_START + 1
GRAPHIC_GHOST_UP_RIGHT_1 = GRAPHIC_GHOST_START + 2
GRAPHIC_GHOST_RIGHT_1 = GRAPHIC_GHOST_START + 3
GRAPHIC_GHOST_DOWN_RIGHT_1 = GRAPHIC_GHOST_START + 4
GRAPHIC_GHOST_DOWN_1 = GRAPHIC_GHOST_START + 5
GRAPHIC_GHOST_DOWN_LEFT_1 = GRAPHIC_GHOST_START + 6
GRAPHIC_GHOST_LEFT_1 = GRAPHIC_GHOST_START + 7
GRAPHIC_GHOST_UP_LEFT_1 = GRAPHIC_GHOST_START + 8
GRAPHIC_GHOST_UP_2 = GRAPHIC_GHOST_START + 9
GRAPHIC_GHOST_UP_RIGHT_2 = GRAPHIC_GHOST_START + 10
GRAPHIC_GHOST_RIGHT_2 = GRAPHIC_GHOST_START + 11
GRAPHIC_GHOST_DOWN_RIGHT_2 = GRAPHIC_GHOST_START + 12
GRAPHIC_GHOST_DOWN_2 = GRAPHIC_GHOST_START + 13
GRAPHIC_GHOST_DOWN_LEFT_2 = GRAPHIC_GHOST_START + 14
GRAPHIC_GHOST_LEFT_2 = GRAPHIC_GHOST_START + 15
GRAPHIC_GHOST_UP_LEFT_2 = GRAPHIC_GHOST_START + 16
GRAPHIC_GHOST_UP_3 = GRAPHIC_GHOST_START + 17
GRAPHIC_GHOST_UP_RIGHT_3 = GRAPHIC_GHOST_START + 18
GRAPHIC_GHOST_RIGHT_3 = GRAPHIC_GHOST_START + 19
GRAPHIC_GHOST_DOWN_RIGHT_3 = GRAPHIC_GHOST_START + 20
GRAPHIC_GHOST_DOWN_3 = GRAPHIC_GHOST_START + 21
GRAPHIC_GHOST_DOWN_LEFT_3 = GRAPHIC_GHOST_START + 22
GRAPHIC_GHOST_LEFT_3 = GRAPHIC_GHOST_START + 23
GRAPHIC_GHOST_UP_LEFT_3 = GRAPHIC_GHOST_START + 24

-- Demon sprites.
GRAPHIC_DEMON_START = GRAPHIC_GHOST_UP_LEFT_3

GRAPHIC_DEMON_UP_1 = GRAPHIC_DEMON_START + 1
GRAPHIC_DEMON_UP_RIGHT_1 = GRAPHIC_DEMON_START + 2
GRAPHIC_DEMON_RIGHT_1 = GRAPHIC_DEMON_START + 3
GRAPHIC_DEMON_DOWN_RIGHT_1 = GRAPHIC_DEMON_START + 4
GRAPHIC_DEMON_DOWN_1 = GRAPHIC_DEMON_START + 5
GRAPHIC_DEMON_DOWN_LEFT_1 = GRAPHIC_DEMON_START + 6
GRAPHIC_DEMON_LEFT_1 = GRAPHIC_DEMON_START + 7
GRAPHIC_DEMON_UP_LEFT_1 = GRAPHIC_DEMON_START + 8
GRAPHIC_DEMON_UP_2 = GRAPHIC_DEMON_START + 9
GRAPHIC_DEMON_UP_RIGHT_2 = GRAPHIC_DEMON_START + 10
GRAPHIC_DEMON_RIGHT_2 = GRAPHIC_DEMON_START + 11
GRAPHIC_DEMON_DOWN_RIGHT_2 = GRAPHIC_DEMON_START + 12
GRAPHIC_DEMON_DOWN_2 = GRAPHIC_DEMON_START + 13
GRAPHIC_DEMON_DOWN_LEFT_2 = GRAPHIC_DEMON_START + 14
GRAPHIC_DEMON_LEFT_2 = GRAPHIC_DEMON_START + 15
GRAPHIC_DEMON_UP_LEFT_2 = GRAPHIC_DEMON_START + 16
GRAPHIC_DEMON_UP_3 = GRAPHIC_DEMON_START + 17
GRAPHIC_DEMON_UP_RIGHT_3 = GRAPHIC_DEMON_START + 18
GRAPHIC_DEMON_RIGHT_3 = GRAPHIC_DEMON_START + 19
GRAPHIC_DEMON_DOWN_RIGHT_3 = GRAPHIC_DEMON_START + 20
GRAPHIC_DEMON_DOWN_3 = GRAPHIC_DEMON_START + 21
GRAPHIC_DEMON_DOWN_LEFT_3 = GRAPHIC_DEMON_START + 22
GRAPHIC_DEMON_LEFT_3 = GRAPHIC_DEMON_START + 23
GRAPHIC_DEMON_UP_LEFT_3 = GRAPHIC_DEMON_START + 24

-- Fireball sprites.
GRAPHIC_FIREBALL_START = GRAPHIC_DEMON_UP_LEFT_3

GRAPHIC_FIREBALL_UP_1 = GRAPHIC_FIREBALL_START + 1
GRAPHIC_FIREBALL_UP_RIGHT_1 = GRAPHIC_FIREBALL_START + 2
GRAPHIC_FIREBALL_RIGHT_1 = GRAPHIC_FIREBALL_START + 3
GRAPHIC_FIREBALL_DOWN_RIGHT_1 = GRAPHIC_FIREBALL_START + 4
GRAPHIC_FIREBALL_DOWN_1 = GRAPHIC_FIREBALL_START + 5
GRAPHIC_FIREBALL_DOWN_LEFT_1 = GRAPHIC_FIREBALL_START + 6
GRAPHIC_FIREBALL_LEFT_1 = GRAPHIC_FIREBALL_START + 7
GRAPHIC_FIREBALL_UP_LEFT_1 = GRAPHIC_FIREBALL_START + 8
GRAPHIC_FIREBALL_UP_2 = GRAPHIC_FIREBALL_START + 9
GRAPHIC_FIREBALL_UP_RIGHT_2 = GRAPHIC_FIREBALL_START + 10
GRAPHIC_FIREBALL_RIGHT_2 = GRAPHIC_FIREBALL_START + 11
GRAPHIC_FIREBALL_DOWN_RIGHT_2 = GRAPHIC_FIREBALL_START + 12
GRAPHIC_FIREBALL_DOWN_2 = GRAPHIC_FIREBALL_START + 13
GRAPHIC_FIREBALL_DOWN_LEFT_2 = GRAPHIC_FIREBALL_START + 14
GRAPHIC_FIREBALL_LEFT_2 = GRAPHIC_FIREBALL_START + 15
GRAPHIC_FIREBALL_UP_LEFT_2 = GRAPHIC_FIREBALL_START + 16
GRAPHIC_FIREBALL_UP_3 = GRAPHIC_FIREBALL_START + 17
GRAPHIC_FIREBALL_UP_RIGHT_3 = GRAPHIC_FIREBALL_START + 18
GRAPHIC_FIREBALL_RIGHT_3 = GRAPHIC_FIREBALL_START + 19
GRAPHIC_FIREBALL_DOWN_RIGHT_3 = GRAPHIC_FIREBALL_START + 20
GRAPHIC_FIREBALL_DOWN_3 = GRAPHIC_FIREBALL_START + 21
GRAPHIC_FIREBALL_DOWN_LEFT_3 = GRAPHIC_FIREBALL_START + 22
GRAPHIC_FIREBALL_LEFT_3 = GRAPHIC_FIREBALL_START + 23
GRAPHIC_FIREBALL_UP_LEFT_3 = GRAPHIC_FIREBALL_START + 24

MAX_ENEMY_GRAPHIC = GRAPHIC_FIREBALL_UP_LEFT_3
