
function init_titlescreen()

	-- Initial state is the title screen.
	global.state = STATE_TITLESCREEN
	set_message(MESSAGE_MENU, {init_game, init_controls, init_instructions, init_editor, love.event.quit})
	-- set_message sets state to STATE_INMESSAGE, so force it back to STATE_TITLESCREEN.
	global.state = STATE_TITLESCREEN	

end

function handle_titlescreen_keypress(key)

	handle_message_keypress(key)
	
	if key=="d" then
		-- Set debug mode.
		global.debug_mode = not global.debug_mode
		
	elseif key=="l" then
		if global.debug_mode then
			-- Increment start level.
			if global.debug_start_level then
				global.debug_start_level = global.debug_start_level + 1
			else
				global.debug_start_level = 1
			end

			if global.debug_start_level > global.levels then
				global.debug_start_level = 1
			end
		end
		
	elseif key=="escape" then
		-- Exit the game.
		love.event.quit()
	end
			
end

-- Draws the title screen.
function draw_titlescreen()

	draw_players_intro()

	draw_text(-1, 96, "PUZZLET", global.players[global.intro_colour_index].r, global.players[global.intro_colour_index].g, global.players[global.intro_colour_index].b)
	
	draw_message()
	
	if global.debug_mode==true then
		draw_text(0, 0, "d", 255, 255, 255)
		if global.debug_start_level then
			local dbg = string.format("L:%d", global.debug_start_level)
			draw_text(32, 0, dbg, 255, 255, 255)
		end

	end

	draw_text(-1, SCREEN_HEIGHT - FONT_CHARACTER_HEIGHT, "(C) BOB FOSSIL 2015-2016", 255, 255, 255)
	
	if global.update_frame then
		-- Cycle the text colour.
		global.intro_colour_index = global.intro_colour_index + 1
		if global.intro_colour_index > MAX_PLAYERS then
			global.intro_colour_index = 1
		end
	end


end